Get stages of a single course sequence
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/course-sequence/:id/stages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/course-sequence/:id/stages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/course-sequence/:id/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stages": [
{
"id": "<string>",
"title": "<string>",
"grades": [
"-1"
],
"subject": "Reading",
"type": "course",
"properties": {
"courseReferences": [
{
"courseId": "<string>",
"refAddedAt": "2023-11-07T05:31:56Z"
}
],
"testTypes": [
"test_out"
],
"learningAppId": "alpha_write",
"assessmentSource": "mastery"
}
}
]
}{
"message": "Invalid path or query parameters",
"details": "[{\"validation\":\"uuid\",\"code\":\"invalid_string\",\"message\":\"Invalid uuid\",\"path\":[\"id\"]}]"
}Course Sequence
Get stages of a single course sequence
Get stages of a single course sequence.
Returns a list of sequence stages (CourseSequenceStage objects) of the specified course sequence.
To get the fist stage only, use limit=1.
To filter by grade, use grade={grade}.
To get the first stage of the specific grade, use grade={grade}&limit=1.
GET
/
powerpath
/
course-sequence
/
:id
/
stages
Get stages of a single course sequence
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier (UUID)
Query Parameters
Available options:
-1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 Response
Course Sequence Stages
Show child attributes
Show child attributes
⌘I